package com.xzzn.ems.domain.vo;


import java.math.BigDecimal;
import java.util.Date;

/**
 * 单站监控-单体电池数据
 *
 */
public class BatteryDataStatsListVo {
    /** 单体电池设备id */
    private String deviceId;

    /** 电压 (V) */
    private BigDecimal voltage;

    /** 温度 (℃) */
    private BigDecimal temperature;

    /** SOC (%) */
    private BigDecimal soc;

    /** SOH (%) */
    private BigDecimal soh;

    private Date updateTime;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public BigDecimal getVoltage() {
        return voltage;
    }

    public void setVoltage(BigDecimal voltage) {
        this.voltage = voltage;
    }

    public BigDecimal getTemperature() {
        return temperature;
    }

    public void setTemperature(BigDecimal temperature) {
        this.temperature = temperature;
    }

    public BigDecimal getSoc() {
        return soc;
    }

    public void setSoc(BigDecimal soc) {
        this.soc = soc;
    }

    public BigDecimal getSoh() {
        return soh;
    }

    public void setSoh(BigDecimal soh) {
        this.soh = soh;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
